Subject: Re: [TR] Spitfire Turn Signals

From: [email-masked]
Date: Sun, 29 Apr 2012 17:59:01 -0400 (EDT)

The power for the turn signals also powers other items as you noted.  
Including the gauges which are powered by the voltage stabilizer.  Triumph liked 
to daisy chain loads on a common circuit so the power would be fed to one 
device and then on to another and another, etc.  Just what the sequence is 
something to be determined through examination, but the things on that fused 
circuit include the heater, wipers, reverse lights, brake lights and gauges.  
If all these things work then the next place to look is the flasher.

There are two flashers on your car (all cars with the emergency flashers)  
The turn signals and the emergency flashers each use its own flasher so the 
fact that the EME flashers work doesn't absolve the turn signal flasher.

I don't know where that flasher is on a Spitfire but look for a flasher 
with a green wire (as opposed to the purple wire).

Good luck.

Dave

In a message dated 4/29/2012 3:14:58 PM Central Daylight Time, 
[email-masked] writes: 
> I am hoping someone can help me with a puzzle I am having about the turn 
> signals not working.   I struggle to diagnose electrical problems.
> 
> The turn signals on both sides of my 80 Spitfire stopped working.  The 
> hazard flashers also stopped working.   All of my fuses are okay and 
> things on the same fuse as the turn signals work.
> 
> Knowing that the turnsignal and hazard flashers both run through the 
> hazard switch,  I pulled the hazard switch several times  and got it so 
> that the hazard flasher would work part of the time - the turn signals 
> still never worked.
> 
> I got the hazard switch and cleaned each contact.  Now the hazard 
> flashers work reliably.  Turn signals still don't.
> 
> There appear to be two power wires going to the hazard switch.  Purple 
> had power all of the time and green when ignition is on.  If I jump 
> between the purple and green, the turn signals work. With the jumper 
> removed they still don't work.
> 
> It looks like the powered green wire comes from the voltage stabilizer.  
> There is continuity between the voltage stabilizer and the green wire in 
> the hazard switch.
> 
> So, I am at a loss.
> 
> The turn signals works when the purple and green wire are jumped.  So, I 
> have ruled out the switch and the relay.
> 
> The fuse is fine.
> 
> The lights all light up appropriately when using either the hazard 
> flasher or jumped turn signals. So lights and grounds seem to be okay.
> 
> There is continuity between the voltage regulator and the green wire at 
> the hazard switch.   Though when I check for voltage at the green wire, 
> there isn't any.   I expected voltage, but not sure how there can't be 
> since there is continuity with the voltage stabilizer and there is power 
> to the stabilizer.
> 
> 
> Any suggestions on what the problem is?   (besides my lack of electronic 
> knowledge :))

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]